Loading...
Searching...
No Matches
fastjet::TilingExtent Class Reference

class to perform a fast analysis of the appropriate rapidity range in which to perform tiling More...

`#include <fastjet/internal/TilingExtent.hh>`

## Public Member Functions

| TilingExtent (ClusterSequence &cs)
| constructor that takes a ClusterSequence in a state where the initial particles have been set up, but before clustering has started.
| TilingExtent (const std::vector< PseudoJet > &particles)
| constructor that takes a list of PseudoJets
double | minrap () const
| returns the suggested minimum rapidity for the tiling
double | maxrap () const
| returns the suggested maximum rapidity for the tiling
double | sum_of_binned_squared_multiplicity () const
| internally, the class bins the particle multiplicity versus rapidity, in bins of size 1 running roughly from minrap to maxrap (including overflows); this function returns the sum of squares of bin contents, which may be informative for deciding strategy choices.

## Detailed Description

class to perform a fast analysis of the appropriate rapidity range in which to perform tiling

Definition at line 41 of file TilingExtent.hh.

## Constructor & Destructor Documentation

## TilingExtent()

fastjet::TilingExtent::TilingExtent | ( | ClusterSequence & | cs | ) |

constructor that takes a ClusterSequence in a state where the initial particles have been set up, but before clustering has started.

Definition at line 40 of file TilingExtent.cc.

## Member Function Documentation

## minrap()

double fastjet::TilingExtent::minrap | ( |  | ) | const

inline

returns the suggested minimum rapidity for the tiling

Definition at line 52 of file TilingExtent.hh.

## maxrap()

double fastjet::TilingExtent::maxrap | ( |  | ) | const

inline

returns the suggested maximum rapidity for the tiling

Definition at line 54 of file TilingExtent.hh.

## sum_of_binned_squared_multiplicity()

double fastjet::TilingExtent::sum_of_binned_squared_multiplicity | ( |  | ) | const

inline

internally, the class bins the particle multiplicity versus rapidity, in bins of size 1 running roughly from minrap to maxrap (including overflows); this function returns the sum of squares of bin contents, which may be informative for deciding strategy choices.

Definition at line 61 of file TilingExtent.hh.

The documentation for this class was generated from the following files:

- include/fastjet/internal/TilingExtent.hh
- src/TilingExtent.cc